Update a holding Run in API Explorer
Ask AI
Body
-
The name of the fund for the holding.
-
The reference of the holding/fund.
-
The provider of the holding/fund.
-
The sector of the holding/fund.
-
The SEDOL of the holding/fund.
-
The ISIN of the holding/fund.
-
The CITI of the holding/fund.
-
The units of the holding
Minimum value is
0.0, maximum value is999999.999999. -
The current price of the units in pennies.
-
The current price of the units in it's raw format with decimals.
-
The original purchase price of the holding in pennies.
-
The currency of the holding.
-
Denotes if the holding is active/inactive.
-
Optional UUID of a portfolio to add the holding to.
PUT
/api/v1/plans/{plan_uuid}/sub-accounts/{subAccount_uuid}/holdings/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/sub-accounts/6ff8f7f6-1eb3-3525-be4a-3932c805afed/holdings/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"fund_name":"My Fund","reference":"ABC12345","provider":"Financial Provider","sector":"Europe","sedol":"ABC12345","isin":"ABC12345","citi":"ABC12345","units":10.0,"unit_price":10000,"unit_price_raw":100.2334234,"purchase_price":5000,"currency":"GBP","is_active":true,"portfolio_uuid":"9bddd6f7-8e96-4bf4-a77a-1f682fb4e168"}'
Request examples
{
"fund_name": "My Fund",
"reference": "ABC12345",
"provider": "Financial Provider",
"sector": "Europe",
"sedol": "ABC12345",
"isin": "ABC12345",
"citi": "ABC12345",
"units": 10.0,
"unit_price": 10000,
"unit_price_raw": 100.2334234,
"purchase_price": 5000,
"currency": "GBP",
"is_active": true,
"portfolio_uuid": "9bddd6f7-8e96-4bf4-a77a-1f682fb4e168"
}
Response examples (200)
{
"uuid": "cacf114b-3bd0-4f17-b51f-dd8407410540",
"created_at": "2026-07-22T14:08:41+01:00",
"updated_at": "2026-07-22T14:08:41+01:00",
"fund_name": "Fund",
"reference": "REF123",
"sector": "Europe",
"sedol": "ACB123",
"isin": "ACB123",
"citi": "ACB123",
"units": 5,
"unit_price": {
"amount": {
"example": "1000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£10.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"unit_price_raw": 10,
"purchase_price": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"is_active": true,
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"sub_account": {
"uuid": "7573e4fe-4023-4b95-ab90-712038f90ea9",
"created_at": "2026-07-22T14:08:41+01:00",
"updated_at": "2026-07-22T14:08:41+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"latest_valuation": {
"uuid": "dad1e2ac-c370-474f-8927-61045e72e8a0",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"valued_at": "2026-07-22T14:08:48+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"is_main_account": false,
"active_portfolio": {
"uuid": "e7d1cc53-cbfa-40fb-912d-b5f38b586156",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"is_proposed": true,
"proposed_at": "2026-07-22T00:00:00+01:00",
"name": "Risky Portfolio"
},
"statistics": {
"recent_growth": 100
}
},
"external_references": {
"uuid": "378dd219-eb7a-4fa3-8e9d-44a6f5744da7",
"created_at": "2026-07-22T14:08:41+01:00",
"updated_at": "2026-07-22T14:08:41+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
Response examples (409)
{
"uuid": "cacf114b-3bd0-4f17-b51f-dd8407410540",
"created_at": "2026-07-22T14:08:41+01:00",
"updated_at": "2026-07-22T14:08:41+01:00",
"fund_name": "Fund",
"reference": "REF123",
"sector": "Europe",
"sedol": "ACB123",
"isin": "ACB123",
"citi": "ACB123",
"units": 5,
"unit_price": {
"amount": {
"example": "1000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£10.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"unit_price_raw": 10,
"purchase_price": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"is_active": true,
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"sub_account": {
"uuid": "7573e4fe-4023-4b95-ab90-712038f90ea9",
"created_at": "2026-07-22T14:08:41+01:00",
"updated_at": "2026-07-22T14:08:41+01:00",
"name": "John's ISA",
"policy_number": "AVI-4837",
"latest_valuation": {
"uuid": "dad1e2ac-c370-474f-8927-61045e72e8a0",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"valued_at": "2026-07-22T14:08:48+01:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"is_main_account": false,
"active_portfolio": {
"uuid": "e7d1cc53-cbfa-40fb-912d-b5f38b586156",
"created_at": "2026-07-22T14:08:48+01:00",
"updated_at": "2026-07-22T14:08:48+01:00",
"is_proposed": true,
"proposed_at": "2026-07-22T00:00:00+01:00",
"name": "Risky Portfolio"
},
"statistics": {
"recent_growth": 100
}
},
"external_references": {
"uuid": "378dd219-eb7a-4fa3-8e9d-44a6f5744da7",
"created_at": "2026-07-22T14:08:41+01:00",
"updated_at": "2026-07-22T14:08:41+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}